---
updatedAt: 2025-11-13T14:39:26.000Z
agentTools:
  siteIndex: https://docs.affirm.com/llms.txt
  projectIndex: https://docs.affirm.com/developers/v1.0-Global-Integration/llms.txt
---

# Introduction

## Overview

Welcome to our API reference! We're happy that you've decided to partner with us and explore our REST APIs. To get started, you'll first want to log into the [Merchant Dashboard](https://www.affirm.ca/dashboard/signin), set up your development environment, and get your [API keys](https://docs.affirm.com/developers/docs/api-keys) for the sandbox and live environments.

## Making REST API calls

To make a REST API call, include the URL associated with the sandbox or live environment"

* **Sandbox:**  `https://api.global.sandbox.affirm.com`
* **Live**:  `https://api.global.affirm.com`

When making a call, include your private or public api keys.

**Sample Request**

```curl
curl https://api.global.affirm.com/api/v1/transactions
     -X POST
     -u "{public_api_key}:{private_api_key}"
     -H "Content-Type: application/json"
     -H "country-code: CAN" 
     -d '{"transaction_id": "{checkout_token}","order_id": "{order_id}"}'

```

## New to Affirm?

If this is your first time here, you may want to take a look at our [quickstart](https://docs.affirm.com/developers/docs/development-quickstart) guide to get you up and running.

> 📘 Plugins & Extensions
>
> If code scares you a little bit, don't worry about it! Use our [Platform Integrations](https://docs.affirm.com/platforms/docs/platforms-quickstart) plugins to get started with Affirm with little to no code required.

# Sibling pages

* [Authentication](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/authentication.md)
* [Errors](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/errors.md)
* [Metadata](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/metadata.md)
* [Data types](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/data-types-4.md)